package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgPlayer struct {
	models.Model
	ClubId       string `json:"clubId" gorm:"type:bigint(20);comment:org_club表id"`
	TeamId       string `json:"teamId" gorm:"type:bigint(20);comment:org_team表id"`
	PlayerName   string `json:"playerName" gorm:"type:varchar(60);comment:球员姓名"`
	PlayerNameEn string `json:"playerNameEn" gorm:"type:varchar(60);comment:球员姓名"`
	IdCard       string `json:"idCard" gorm:"type:varchar(60);comment:身份证号"`
	Sex          string `json:"sex" gorm:"type:varchar(20);comment:性别"`
	PlayerNumber string `json:"playerNumber" gorm:"type:varchar(20);comment:球衣号码"`
	Position     string `json:"position" gorm:"type:varchar(60);comment:场上位置"`
	PlayerImg    string `json:"playerImg" gorm:"type:varchar(255);comment:球员照片"`
	PlayerUserId string `json:"playerUserId" gorm:"type:bigint(20);comment:org_player_user表id"`
	ShareConf    string `json:"shareConf" gorm:"type:tinyint(1);comment:分享功能 1 开启 2 关闭" default:"1"`
	Status       string `json:"status" gorm:"type:tinyint(1);comment:状态 1 离队 2 在队" default:"2"`
	models.ModelTime
	models.ControlBy
}

func (OrgPlayer) TableName() string {
	return "org_player"
}

func (e *OrgPlayer) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgPlayer) GetId() interface{} {
	return e.Id
}
